<ion-content>
  <div class="logo ion-padding"></div>
  <div class="form">
      <form [formGroup]="login_form" (ngSubmit)="onLoginForm(login_form)" class="ion-padding">
        <div class="main_wrapper">
          <div padding>
            <ion-item lines="none">
              <ion-input
                formControlName="email"
                placeholder="Email"
                type="text"
              ></ion-input>
            </ion-item>
            <ion-item lines="none">
              <ion-input
                formControlName="password"
                placeholder="Password"
                type="password"
              ></ion-input>
            </ion-item>
            <div
              class="checkbox"
              style="display: flex;justify-content: center;align-items: center"
            >
              <ion-checkbox></ion-checkbox>
              <div class="ion-text-center" padding-vertical>
                <ion-label style="color:#b8b8b8">&nbsp;Remember Device</ion-label>
              </div>
            </div>
          </div>
          <div class="login">
            <div class="buttons" padding-horizontal>
              <ion-button color="primary" expand="block" size="medium" type="submit" shape="round" [disabled]="!getSubmitButton()"
                >Log in</ion-button
              >
            </div>
            <div class="buttons" padding-horizontal>
              <ion-button fill="outline" color="dark" (click)="gotoSiriusLogin()" expand="block" size="medium" shape="round"
                >Log in using Sirius Id</ion-button
              >
            </div>
          </div>
          <ion-grid
            style="display: flex;justify-content: space-between;align-items: center;"
          >
            <ion-row padding>
              <ion-col>
                <p style="color:#d4d4d4">Forgot Password?</p>
              </ion-col>
            </ion-row>
            <ion-row padding>
              <ion-col>
                <p [routerLink]="['/register']" style="color:#d4d4d4">
                  Sign up!
                </p>
              </ion-col>
            </ion-row>
          </ion-grid>
          <ion-img class="footer_logo" src="../../assets/images/imagerax_desc.png"></ion-img>
        </div>
      </form>
  </div>
</ion-content>
